curl -X POST https://api.moonkey.fun/v1/wallets/wallet_35ptpWOqO2SnacamII91ecIzmKT/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "sol_signMessage",
"params": {
"message": "test"
}
}'
{
"method": "sol_signMessage",
"data": {
"signature": "53qEX5SmUJkmvLjTMvi45M4otThvZfd4QJiXa998eRJBqxGuvg9tHTqYCaBtvfLd4VRbpes5ukPNsrdC1Yz7ZMeU",
"encoding": "base58"
}
}
Solana Wallets
Solana Sign Message
Sign a message using a managed wallet. Managed wallet means the private key is never exposed to the client and always stored encrypted in our vault.
POST
/
v1
/
wallets
/
{wallet_id}
/
rpc
curl -X POST https://api.moonkey.fun/v1/wallets/wallet_35ptpWOqO2SnacamII91ecIzmKT/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "sol_signMessage",
"params": {
"message": "test"
}
}'
{
"method": "sol_signMessage",
"data": {
"signature": "53qEX5SmUJkmvLjTMvi45M4otThvZfd4QJiXa998eRJBqxGuvg9tHTqYCaBtvfLd4VRbpes5ukPNsrdC1Yz7ZMeU",
"encoding": "base58"
}
}
Authorizations
string
required
Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an App as the container.Endpoints only accept App's Secret API keys other than certain endpoints that are used client side or via SDK that accept the
public_token.Authentication using App Api Key
Header:Authorization: Bearer {api_key}Path Parameters
string
required
Unique wallet ID of the wallet used to sign the message.
Request Body
string
required
Must be
sol_signMessage.object
required
Response
string
RPC method that was executed (
sol_signMessage).object
- If
encodingis omitted, the message is interpreted as plaintext (utf-8). - If
encodingis omitted, the response encoding defaults tobase58. - If
encodingis provided, the response uses the same encoding as the request but will bebase64orbase58. - No private key material is ever exposed or returned.
curl -X POST https://api.moonkey.fun/v1/wallets/wallet_35ptpWOqO2SnacamII91ecIzmKT/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "sol_signMessage",
"params": {
"message": "test"
}
}'
{
"method": "sol_signMessage",
"data": {
"signature": "53qEX5SmUJkmvLjTMvi45M4otThvZfd4QJiXa998eRJBqxGuvg9tHTqYCaBtvfLd4VRbpes5ukPNsrdC1Yz7ZMeU",
"encoding": "base58"
}
}